<!DOCTYPE html>
<html lang="sv">
	<head>
		<meta charset="utf-8">
		<script src="https://cdn.jsdelivr.net/npm/eruda"></script>
	  <script>
	  	eruda.init()
	  	console.log('eruda initialiserat')
	  </script>
	</head>
	<body>
	  <script>
			const sub = new EventSource('api');
			let sub2;

			console.log('calling srv');
	
			sub.onmessage = (msg) =>{
				console.log(msg.data);
			}
			sub.onopen=(evt)=>{
				console.log('conn open',{evt});
			}
			sub.onclose=(evt)=>{
				console.log('conn closed', {evt});
			}

			sub.addEventListener('othermessage', evt => {
				console.log(evt.data)
			})
			
			sub.onerror = (err) =>{
				console.error(err.target);
				
			}
			
		</script>

	</body>
</htmø
